#-------------------------------------------------------------------------------
# Lib/napheap.mk configuration file for napheap
#-------------------------------------------------------------------------------

# The user can modify this file to configure napheap.

# default installation locations for 'make install'
INSTALL_LIB = /usr/local/lib
INSTALL_INCLUDE = /usr/local/include

# default directory for temporary files used in the Test/* exhaustive tests
TMPDIR = /tmp

# compiler optimization flags:

# for speed:
OPTFLAGS = -O3 -std=c99

# for debuging:
# OPTFLAGS = -std=c99 -W -Wall -pedantic -Wmissing-prototypes \
    -Wredundant-decls -Wnested-externs -Wdisabled-optimization \
    -fexceptions -Wno-parentheses -Wshadow -Wcast-align \
    -Winline -Wstrict-prototypes -Wno-unknown-pragmas -g

# for speed, and long integers:
# OPTFLAGS = -O3 -std=c99 -DNAPHEAP_INT=long

# for a different value of INF like 1e100
# OPTFLAGS = -DNAPHEAP_INF=1e100
