function napheap_install
%NAPHEAP_INSTALL compile and install napheap for use in MATLAB
%
% Your current working directory must be napheap/MATLAB when you type this
% command.
%
% Example
%   cd napheap/MATLAB
%   napheap_install
%
% See also NAPHEAP, NAPHEAP_CHECK, NAPHEAP_TEST.

% Copyright 2013, T. A. Davis, W. W. Hager, and J. T. Hungerford

mex -I../Include ../Source/napheap.c ../Source/napheap_print.c ...
    ../Source/napheap_check.c napheap_mex.c napheap_util_mex.c -output napheap

mex -I../Include ../Source/napheap.c ../Source/napheap_print.c ...
    ../Source/napheap_check.c napheap_check_mex.c napheap_util_mex.c ...
    -output napheap_check

addpath (pwd) ;

napheap_test

fprintf ('\nnapheap is now compiled and added to your current path.\n') ;

% save this folder to the path for future use.  This might fail.
save_state = warning ;
lastwarn ('') ;
warning ('off', 'MATLAB:SavePath:PathNotSaved') ;
savepath ;
msg = lastwarn ;
warning (save_state) ;
if (~isempty (msg))
    fprintf ('\nUnable to save this to your permanent path for use in\n') ;
    fprintf ('future MATLAB sessions.  Edit your startup.m and include:\n') ;
    fprintf ('\n   addpath (''%s'')\n\n', pwd) ;
else
    fprintf ('It has been added to your path for future MATLAB sessions.\n') ;
end
